# File: IBlueDCSServer.py
# 
# Copyright (c) 2005 by BlueDynamics
# Generator: ArchGenXML Version 1.4.0-beta2 devel 
#            http://plone.org/products/archgenxml
#
# GNU General Public Licence (GPL)
# 
# This program is free software; you can redistribute it and/or modify it under
# the terms of the GNU General Public License as published by the Free Software
# Foundation; either version 2 of the License, or (at your option) any later
# version.
# This program is distributed in the hope that it will be useful, but WITHOUT
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
# FOR A PARTICULAR PURPOSE.  See the GNU General Public License for more
# details.
# You should have received a copy of the GNU General Public License along with
# this program; if not, write to the Free Software Foundation, Inc., 59 Temple
# Place, Suite 330, Boston, MA  02111-1307  USA
#
__author__  = '''unknown <unknown>'''
__docformat__ = 'plaintext'




from Interface import Base

class IBlueDCSServer(Base):
    """
    
    """

    #Methods

    def zipconvert(inputblob, exportfilter) :
        """
        This method takes a 'blob' as an input, which is a zip file
        that contains some documents. Every document is extracted
        and then converted using the convert method.
        """



    def convert(inputblob, exportfilter, outputname='outfile', zipped=1) :
        """
        This method takes a 'blob' as an input, which is the content
        of a OpenOffice.org Component. The exportfilter will define
        the format of the output, which is returned as a 'blob' as
        well. The parameter zipped decides wether the output file(s)
        should be zipped, which is mandatory for the WHTML output
        filter.
        """



    def getImportFilters():
        """Returns a dicionary of the available import filters"""



    def getExportFilters():
        """Returns a dictionary of the available export filters"""


# end of class IBlueDCSServer

